import java.io.PrintStream;
import java.util.*;

public class ImprovedTypeInference {
    // Because of warnings.
    private static PrintStream out = System.out;

    /** WORKING in b89 */
    public static void main(String... args) {
        // THE OLD WAY (check out the warning)
        Map<String, List<String>> oldMap =
                new HashMap<String, List<String>>();
        oldMap.put("test", null);
        out.println(oldMap);

        // THE NEW WAY (called the 'diamond operator')
        Map<String, List<String>> newMap = new HashMap<>();
        newMap.put("test", null);
        out.println(newMap);
    }
}
