import java.io.PrintStream;

public class StringsInSwitch {
    // Because of warnings.
    private static PrintStream out = System.out;

    /** WORKING in b89 */
    public static void main(String... args) {
        String s = "";

        // THE OLD WAY
        if (s.equals("One")) {
            out.println("1");
        } else if (s.equals("Two")) {
            out.println("2");
        } else {
            out.println("Unknown English number.");
        }

        // THE NEW WAY
        switch (s) {
            case "One":
                out.println("1");
                break;
            case "Two":
                out.println("2");
                break;
            default:
                out.println("Unknown English number.");
                break;
        }
    }
}
